summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-editors/atom/Manifest1
-rw-r--r--app-editors/atom/atom-1.6.2.ebuild85
-rw-r--r--app-editors/atom/files/atom-python.patch10
-rw-r--r--app-editors/atom/metadata.xml7
4 files changed, 103 insertions, 0 deletions
diff --git a/app-editors/atom/Manifest b/app-editors/atom/Manifest
new file mode 100644
index 000000000000..a2b9e29d1c4c
--- /dev/null
+++ b/app-editors/atom/Manifest
@@ -0,0 +1 @@
+DIST 1.6.2.tar.gz 10340322 SHA256 63ee85a67d642bf85179c67ba455042e2892a5091dedc31f007f8ec2de8fc3af SHA512 ef378a3bfa539a4e9da2f8a391e5716bc8312f4cb5c02692b4518fe1805e1771f59a47612fe184b0ce7200358c6c711545393f7a2aec2b996c40654a24469120 WHIRLPOOL 8a34c3dab6f76dc7204ae8dc2bc08f24fb1822dbb153d561c71929dba83a57c457678ff9f85819b3c7d342864c06c51a5fffa1aada603d1eab8729784ea028fa
diff --git a/app-editors/atom/atom-1.6.2.ebuild b/app-editors/atom/atom-1.6.2.ebuild
new file mode 100644
index 000000000000..1ab58eaf249c
--- /dev/null
+++ b/app-editors/atom/atom-1.6.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit flag-o-matic python-any-r1 eutils
+
+DESCRIPTION="A hackable text editor for the 21st Century"
+HOMEPAGE="https://atom.io"
+SRC_URI="https://github.com/atom/atom/archive/v${PV}.tar.gz -> ${PV}.tar.gz"
+RESTRICT="mirror"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ ${PYTHON_DEPS}
+ net-libs/nodejs[npm]
+ media-fonts/inconsolata
+ gnome-base/gconf
+ x11-libs/gtk+:2
+ gnome-base/libgnome-keyring
+ x11-libs/libnotify
+ x11-libs/libXtst
+ dev-libs/nss
+ media-libs/alsa-lib
+"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ python-any-r1_pkg_setup
+ npm config set python $PYTHON
+}
+
+src_prepare(){
+ epatch "${FILESDIR}/${PN}-python.patch"
+ sed -i -e "/exception-reporting/d" \
+ -e "/metrics/d" package.json
+ sed -e "s/<%= description %>/$pkgdesc/" \
+ -e "s|<%= installDir %>/share/<%= appFileName %>/atom|/usr/bin/atom|"\
+ -e "s|<%= iconPath %>|atom|"\
+ -e "s|<%= appName %>|Atom|" \
+ resources/linux/atom.desktop.in > resources/linux/Atom.desktop
+
+ # Fix atom location guessing
+ sed -i -e 's/ATOM_PATH="$USR_DIRECTORY\/share\/atom/ATOM_PATH="$USR_DIRECTORY\/../g' \
+ ./atom.sh \
+ || die "Fail fixing atom-shell directory"
+
+ # Make bootstrap process more verbose
+ sed -i -e 's@node script/bootstrap@node script/bootstrap --no-quiet@g' \
+ ./script/build \
+ || die "Fail fixing verbosity of script/build"
+}
+
+src_compile(){
+ ./script/build --verbose --build-dir "${T}" || die "Failed to compile"
+ "${T}/Atom/resources/app/apm/bin/apm" rebuild || die "Failed to rebuild native module"
+ echo "python = $PYTHON" >> "${T}/Atom/resources/app/apm/.apmrc"
+}
+
+src_install(){
+ insinto "/usr/share/${PN}"
+ doins -r "${T}/Atom/*"
+ insinto "/usr/share/applications"
+ newins resources/linux/Atom.desktop atom.desktop
+ insinto "/usr/share/pixmaps"
+ newins resources/app-icons/stable/png/128.png atom.png
+ insinto "/usr/share/licenses/${PN}"
+ doins LICENSE.md
+ # Fixes permissions
+ fperms +x "/usr/share/${PN}/${PN}"
+ fperms +x "/usr/share/${PN}/libgcrypt.so.11"
+ fperms +x "/usr/share/${PN}/libnotify.so.4"
+ fperms +x "/usr/share/${PN}/resources/app/atom.sh"
+ fperms +x "/usr/share/${PN}/resources/app/apm/bin/apm"
+ fperms +x "/usr/share/${PN}/resources/app/apm/bin/node"
+ fperms +x "/usr/share/${PN}/resources/app/apm/node_modules/npm/bin/node-gyp-bin/node-gyp"
+ # Symlinking to /usr/bin
+ dosym "/usr/share/${PN}/resources/app/atom.sh /usr/bin/atom"
+ dosym "/usr/share/${PN}/resources/app/apm/bin/apm /usr/bin/apm"
+}
diff --git a/app-editors/atom/files/atom-python.patch b/app-editors/atom/files/atom-python.patch
new file mode 100644
index 000000000000..250ca5734ff4
--- /dev/null
+++ b/app-editors/atom/files/atom-python.patch
@@ -0,0 +1,10 @@
+--- ~atom.sh 2015-10-30 11:41:20.090417736 +0100
++++ atom.sh 2015-10-30 11:42:19.707553644 +0100
+@@ -92,6 +92,7 @@
+ fi
+
+ ATOM_HOME="${ATOM_HOME:-$HOME/.atom}"
++ export PYTHON=python2
+ mkdir -p "$ATOM_HOME"
+
+ : ${TMPDIR:=/tmp}
diff --git a/app-editors/atom/metadata.xml b/app-editors/atom/metadata.xml
new file mode 100644
index 000000000000..8f407653791e
--- /dev/null
+++ b/app-editors/atom/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>cynede@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>